Run checklist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/runnable-checklists/{checklistId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • scenarioId integer(int64) Required
  • projectId integer(int64) Required
  • importLogId integer(int64) Required
  • checklistId integer(int64) Required

Responses

  • 200

    OK

POST /project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/runnable-checklists/{checklistId}
curl \
 --request POST 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/runnable-checklists/{checklistId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"